import { sayHi } from "./hi";
import elementWithPermissions, { pageWithPermissions, } from "./guards/permissionsGuard";
import pageWithAuth, { elementWithAuth } from "./guards/authGuard";
import { ApiRequest } from "./api/apiRequest";
import { isGenericApiError } from "./guards/genericApiError";
import { isLoginResponse } from "./guards/loginResponse";
var authGuard = { pageWithAuth: pageWithAuth, elementWithAuth: elementWithAuth };
var permissionsGuard = { pageWithPermissions: pageWithPermissions, elementWithPermissions: elementWithPermissions };
var typeGuard = { isGenericApiError: isGenericApiError, isLoginResponse: isLoginResponse };
var api = new ApiRequest(""); // DO NOT USE THIS IN APPS. LOCAL UNAUTHENTICATED INSTANCE.
export { sayHi, authGuard, permissionsGuard, typeGuard, api };
